Search

List search jobs

List search jobs for the authenticated user with optional filtering and pagination

GET
/v1/search/jobs

List search jobs for the authenticated user with optional filtering and pagination

Authorization

ApiKeyAuth
X-Api-Key<token>

In: header

Query Parameters

query?|

Filter by search query (partial match)

status?|

Filter by job status

start_date?|

Filter jobs created on or after this date

end_date?|

Filter jobs created on or before this date

page?Page

Page number

page_size?Page Size

Results per page (max 100)

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/search/jobs"
{
  "jobs": [
    {
      "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
      "query": "string",
      "status": "queued",
      "results_count": 0,
      "duration_ms": 0,
      "block_reason": "string",
      "error_code": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "completed_at": "2019-08-24T14:15:22Z"
    }
  ],
  "page": 0,
  "page_size": 0,
  "page_count": 0
}
{
  "code": "string",
  "message": "string",
  "correlation_id": "string",
  "retryable": true
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}